Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurSetBSEType

Sets the method to be used for BSE structured eigenproblems in the Krylov-Schur solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetBSEType(EPS eps,EPSKrylovSchurBSEType bse)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- bse - the BSE method, see `EPSKrylovSchurBSEType` for possible values

## Options Database Key

- -eps_krylovschur_bse_type (shao|gruning|projectedbse) - sets the BSE type

## Notes

This function is relevant only for `EPS_BSE` problem types, see section on Structured Eigenvalue Problems.

A detailed description of the methods can be found in [Alvarruiz et al., 2025].

## References

[Alv25]

F. Alvarruiz, B. Mellado-Pinto, and J. E. Roman. Variants of thick-restart Lanczos for the Bethe-Salpeter eigenvalue problem. arXiv:2503.20920 : retrieved 27 May 2025, 2025. doi:10.48550/arXiv.2503.20920.

## See Also

EPS: Eigenvalue Problem Solver, Structured Eigenvalue Problems, `EPS_BSE`, `EPSKRYLOVSCHUR`, `EPSKrylovSchurGetBSEType()`, `EPSKrylovSchurBSEType`, `MatCreateBSE()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurSetBSEType_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages